Download it now!
Bug 72928 - MAILMERGE: Deadlocking LO when called via UNO.
Summary: MAILMERGE: Deadlocking LO when called via UNO.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-20 18:38 UTC by Jan-Marek Glogowski
Modified: 2014-01-10 19:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb backtrace of the deadlock in the RDF codebase. (12.23 KB, text/plain)
2013-12-20 18:38 UTC, Jan-Marek Glogowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Marek Glogowski 2013-12-20 18:38:11 UTC
Created attachment 91054 [details]
gdb backtrace of the deadlock in the RDF codebase.

When calling Mailmerge via UNO, there is a high chance to deadlock LO when the MM job is finished or canceled.

When this happens, LO deadlocks in the RDF library code (see attachment).

I didn't check if there are similar problems when running MM from within LO itself.
Comment 1 Joel Madero 2013-12-21 02:00:18 UTC
Another one that has a nice gdb backtrace but we need experts to investigate.
Comment 2 Commit Notification 2014-01-09 11:15:12 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7db6b2f7968d8063b12312737136f09cb7549805

fdo#72928: fix deadlocks in librdf_Repository



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Stahl (CIB) 2014-01-09 11:15:58 UTC
should be fixed on master
Comment 4 Commit Notification 2014-01-10 19:47:34 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2394e4c9cd7a27a1eb1e0e2476997fd18ae2508&h=libreoffice-4-2

fdo#72928: fix deadlocks in librdf_Repository


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.